package data;


import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>Classe Java pour periode complex type.
 * 
 * <p>Le fragment de schéma suivant indique le contenu attendu figurant dans cette classe.
 * 
 * <pre>
 * &lt;complexType name="periode">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="dateArrivée" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="dateDépart" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "periode", propOrder = {
    "dateArrivee",
    "dateDepart"
})
public class Periode {

    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected Date dateArrivee;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected Date dateDepart;

    public Periode () {
    }
    
    public Periode(Date dateArrivee, Date dateDepart) {
        this.dateArrivee = dateArrivee;
        this.dateDepart = dateDepart;
    }
    
    public Date getDateArrivee() {
        return dateArrivee;
    }

    public void setDateArrivee(Date dateArrivee) {
        this.dateArrivee = dateArrivee;
    }

    public Date getDateDepart() {
        return dateDepart;
    }

    public void setDateDepart(Date dateDepart) {
        this.dateDepart = dateDepart;
    }

    public boolean isChevauchement (Periode periode) {
        if (dateArrivee.after(periode.dateArrivee) 
                && dateDepart.before(periode.dateArrivee)) return true;
        if (dateArrivee.after(periode.dateDepart) 
                && dateDepart.before(periode.dateDepart)) return true;
        return false;
    }
    
    public boolean equals(Periode periode) {
        return (dateDepart.equals(periode.getDateDepart())
                && dateArrivee.equals(periode.getDateArrivee()) );
    }
    
    @Override
    public String toString() {
        DateFormat df = new SimpleDateFormat("dd-MM-yyyy");
        return "(" + df.format(dateArrivee) + "," + df.format(dateDepart) + ")";
    }
}
